%global commit 023eb5afde7e069bff1e5e37620b84a66b447936
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20250116

%define kernel_release 6.12.15-200.fc41.aarch64
%define kernel_version 6.12.15
%define distlocalversion 200

%define kmod_name pvrsrvkm

%global debug_package %{nil}

%global pvrversion 24.2.6643903
%global platform j784s4

# Use this variable to bump the package revision
%global bumprev 1

Name:          kernel-module-%{kmod_name}-%{platform}
Version:       %{kernel_version}
Release:       %{distlocalversion}.%{bumprev}.%{commitdate}git%{commit}%{?dist}

Summary:       TI Imagination Technologies display driver kernel module

License:       GPL-2.0 OR MIT
URL:           https://git.ti.com/cgit/graphics/ti-img-rogue-driver/
Source0:       https://git.ti.com/cgit/graphics/ti-img-rogue-driver/snapshot/ti-img-rogue-driver-%{commit}.tar.gz

BuildRequires:	kernel-devel = %{kernel_version}
BuildRequires:	python3
BuildRequires:	python3-devel
Requires:	kernel-core = %{kernel_version}

ExclusiveArch: aarch64

%description
The TI Imagination Technologies Rogue DDK %{pvrversion} display driver kernel module for kernel %{kernel_version}.

%prep
%setup -q -n ti-img-rogue-driver-%{commit}

%build
pushd build/linux/%{platform}_linux
pwd
ls -l /usr/src/kernels/%{kernel_release}/
KERNELDIR=/usr/src/kernels/%{kernel_release}/ make %{?_smp_mflags} BUILD=release
popd

%install
mkdir -p %{buildroot}/lib/modules/%{kernel_release}/extra/
install -D -m 755 ./binary_%{platform}_linux_wayland_release/target_aarch64/pvrsrvkm.ko %{buildroot}/lib/modules/%{kernel_release}/extra/

%post
depmod

%files
/lib/modules/%{kernel_release}/extra/pvrsrvkm.ko

%changelog
* Thu Mar 11 2025 Erico Nunes <ernunes@redhat.com> - 24.2.6643903
- Bump to 24.2.6643903 and kernel 6.12.15-200.fc41.aarch64

* Wed Nov 29 2023 Enric Balletbo i Serra <eballetbo@redhat.com> - 23.2.6460340-2
- Added IMG's patch for the HWRs we see on AM69

* Fri Nov 3 2023 Enric Balletbo i Serra <eballetbo@redhat.com> - 23.2.6460340-1
- Initial RPM release for j784s4 platform
